Skip to main content
GET
/
v2
/
historical-benchmarks
/
{network}
cURL
curl --request GET \
  --url https://api.vaults.fyi/v2/historical-benchmarks/{network} \
  --header 'x-api-key: <api-key>'
{
  "itemsOnPage": 123,
  "data": [
    {
      "apy": {
        "1day": {
          "base": 123,
          "reward": 123,
          "total": 123
        },
        "7day": {
          "base": 123,
          "reward": 123,
          "total": 123
        },
        "30day": {
          "base": 123,
          "reward": 123,
          "total": 123
        }
      },
      "timestamp": 123
    }
  ],
  "nextPage": 123
}

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Network name or CAIP-2 identifier

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793

Query Parameters

page
integer
default:0

Page number (starting from 0)

Required range: x >= 0
perPage
integer
default:50

Number of items per page

Required range: 0 < x <= 20000
code
enum<string>
required

Benchmark code identifier. Available codes: usd, eth

Available options:
usd,
eth
fromTimestamp
integer
default:0

Timestamp for the start of the time period for which data will be fetched

toTimestamp
integer

Timestamp for the end of the time period for which data will be fetched

Response

Default Response

itemsOnPage
integer
required

Number of items on the current page

data
object[]
required
nextPage
integer

Next page number